#!/bin/bash
set -euo pipefail
# shellcheck disable=SC1091
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "SERVER" "SERVICE" "GITEA_RUNNER_DIRECTORY"

echo "Uninstalling service ${SERVICE}..."

./stop.sh || _die "Failed to stop act_runner"

rm "${GITEA_RUNNER_DIRECTORY}/act_runner"

# leave the config.yaml file alone. Have to manually deregister in gitea.

echo "Uninstalled ${SERVICE}"
